package com.atlassian.bitbucket.notification.pull;

import com.atlassian.bitbucket.pull.PullRequest;
import com.atlassian.bitbucket.user.ApplicationUser;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;
import java.util.Date;

public class PullRequestClosedNotification extends AbstractPullRequestNotification {

    public PullRequestClosedNotification(@Nonnull PullRequest pullRequest,
                                         @Nonnull Date whenActivityPerformed,
                                         @Nullable ApplicationUser activityPerformer) {
        super(pullRequest, whenActivityPerformed, activityPerformer);
    }

    @Override
    public String toString() {
        return "PullRequestClosedNotification{" +
                super.toString() +
               '}';
    }
}
